//------------------------------------------------------------//
//                                                            //
//   PROJECT:  food2                                          //
//                                                            //
//   FILE:     food2.cpp                                      //
//   AUTHOR:   saulukas                                       //
//                                                            //
//   New topics:                                              //
//   - class Food: methods and data                           //
//   - constructor                                            //
//   - private data and public methods                        //
//   - inline methods                                         //
//                                                            //
//------------------------------------------------------------//

#include <string>
#include <iostream>

using namespace std;

//------------------------------------------------------------
class Food
{
protected:

   string name;
   double price;

public:

   Food (string name, double price);

   string getName    ()         {return name;} 
   double getPrice   ()         {return price;}
   void   setPrice   (double p) {price = p;}
   
   void   printPrice (double amount);
};

//------------------------------------------------------------
Food::Food (string n, double p)
{
   name  = n;
   price = p;
}

//------------------------------------------------------------
void Food::printPrice (double amount)
{
   cout << "  " << amount << " units of " << name
        << " costs " << (price * amount) << endl;
}

//============================================================//
//                                                            //
//    main ()                                                 //
//                                                            //
//============================================================//
int main ()
{
   Food bread ("bread", 2.50);
   Food milk  ("milk",  1.82);
   
   bread.printPrice (0.5);
   milk.printPrice  (1.5);
   milk.setPrice    (2.10);
   milk.printPrice  (1.5);
}
//============================================================//
